
#include <Wire.h>
#include "nunchuck_funcs.h"
#include <LiquidCrystal.h>
#include <NewSoftSerial.h>
#include <SoftEasyTransfer.h>

NewSoftSerial xbee(9,10);
SoftEasyTransfer ET; 

struct SEND_DATA_STRUCTURE{
  int accx,accy,joyX,joyY;
  int potReading;
  int buttonLReading, buttonCReading, buttonRReading;
  int x;
};


//give a name to the group of data
SEND_DATA_STRUCTURE mydata;

#define buttonL 6
#define buttonC 7
#define buttonR 8
#define pot 0


LiquidCrystal lcd(12, 11, 5, 4, 3, 2);


void setup(){
  xbee.begin(115200);
  ET.begin(details(mydata), &xbee);
  nunchuck_setpowerpins();
  nunchuck_init(); // send the initilization handshake
  lcd.begin(16, 2);
  
  pinMode(pot, INPUT);
  pinMode(buttonL, INPUT);
  digitalWrite(buttonL, HIGH);
  pinMode(buttonR, INPUT);
  digitalWrite(buttonR, HIGH);
  pinMode(buttonC, INPUT);
  digitalWrite(buttonC, HIGH);
    
}

void loop(){
 mydata.buttonLReading = digitalRead(buttonL);
 if(mydata.buttonLReading == 0){
   if(mydata.x==0){
     mydata.x=1;
    }
    else{
      mydata.x=0;
   }
    delay(200);
  }

  if(mydata.x==0){
    nunchuck_get_data();
    mydata.accy  = nunchuck_accelx(); // ranges from approx 70 - 182
    mydata.accx  = nunchuck_accely(); // ranges from approx 65 - 173
    mydata.joyY  = nunchuck_joyx();
    mydata.joyX  = nunchuck_joyy();
  
    lcd.setCursor(0,0);
    lcd.print("aX: ");
    lcd.setCursor(4,0);
    lcd.print(mydata.accx);
  
    lcd.setCursor(8,0);
    lcd.print("aY: ");
    lcd.setCursor(12,0);
    lcd.print(mydata.accy);
  
    lcd.setCursor(0,1);
    lcd.print("jX: ");
    lcd.setCursor(4,1);
    lcd.print(mydata.joyX);
  
    lcd.setCursor(8,1);
    lcd.print("jY: ");
    lcd.setCursor(12,1);
    lcd.print(mydata.joyY);
    
    delay(70);
    lcd.clear();
  }
  
  if(mydata.x==1){
    lcd.clear();
    
    mydata.buttonLReading = digitalRead(buttonL);
    mydata.buttonCReading = digitalRead(buttonC);
    mydata.buttonRReading = digitalRead(buttonR);
    mydata.potReading = analogRead(pot);
    lcd.setCursor(0,0);
    lcd.print("bl: ");
    lcd.setCursor(4,0);
    lcd.print(mydata.buttonLReading);
  
    lcd.setCursor(8,0);
    lcd.print("bc: ");
    lcd.setCursor(12,0);
    lcd.print(mydata.buttonCReading);
  
    lcd.setCursor(0,1);
    lcd.print("br: ");
    lcd.setCursor(4,1);
    lcd.print(mydata.buttonRReading);
  
    lcd.setCursor(8,1);
    lcd.print("po: ");
    lcd.setCursor(12,1);
    lcd.print(mydata.potReading);
  
    delay(70);
  }
  
  ET.sendData();
        
  //Serial.print("accx: "); Serial.println((byte)accx,DEC);
  //Serial.print("\taccy: "); Serial.println((byte)accy,DEC);

}

